radykal | Support Center Chooser

For which product do you need support?

Fancy Product Designer Multistep Product Configurator Another

Start a new topic
Answered

Updating Fabrics.js

Hello FPD team.


Im aware that it's not your job to help with modifications to this plugin. But really what i'm trying to accomplish with this is to fix an existing issue with the plugin.


I'm talking about FPD text module not working on Android because Fabrics.js doesn't work well on Android. 


Changing the Fabrics.js version to the new 2.0 Beta is supposed to fix the issue, according to this topic: https://github.com/kangax/fabric.js/issues/3368


So i tried replacing the fabrics.js file from the plugin with the one found here: https://github.com/kangax/fabric.js/releases/tag/v2.0.0-beta.7


But it didn't solve the problem.


I then tried deleting both fabric.js and fabric.min.js from the plugin folder and FPD continued to work normally. Thats when i found out that updating Fabric.js is not as easy as replacing the files. Or maybe im missing a step or something.


I'm not a backend developer, so please excuse me if i'm missing an easy step.


Would really appreciate any help offered. 


Best regards


Best Answer

My plugin is modifying some code of fabricjs which is not compatible with V2. I am also using an extension for the curved text which is not compatible yet with V2. I would like to update to V2, but due the lack of incompatibility I can not update to latest.


Answer

My plugin is modifying some code of fabricjs which is not compatible with V2. I am also using an extension for the curved text which is not compatible yet with V2. I would like to update to V2, but due the lack of incompatibility I can not update to latest.

Hello Radykal, I understand. Is updating to fabrics.js v2.0 in the plans for the near future? If it's not, then I'll look into a way of letting know Android users about this.

I need to wait for a better development of curved text.

Login or Signup to post a comment